> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Seed-Audio 1.0 音声生成

> - 3つのモードに対応するマルチモーダル音声生成:**テキストから音声生成**、**参照音声(音声クローニング)**、**参照画像**
- 1回のリクエストで最大 `120` 秒の音声生成
- 非同期モード — 返却されたタスクIDを使って[結果を取得](/ja/api-manual/task-management/get-task-detail)
- 生成された音声のリンクは24時間有効です。お早めに保存してください



## OpenAPI

````yaml ja/api-manual/audio-series/doubao-seed-audio/doubao-seed-audio-1-0.json POST /v1/audios/generations
openapi: 3.1.0
info:
  title: Seed-Audio 1.0 音声生成 API
  description: >-
    Seed-Audio 1.0 マルチモーダル音声生成
    API。テキストから音声生成、参照音声(音声クローニング)、参照画像生成の3つのモードに対応し、1回のリクエストで最大120秒の音声を生成できます。オーディオブック、吹き替え、ゲームなど幅広い用途に最適です。
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 本番環境
security:
  - bearerAuth: []
tags:
  - name: 音声生成
    description: Seed-Audio 1.0 音声生成エンドポイント
paths:
  /v1/audios/generations:
    post:
      tags:
        - 音声生成
      summary: Seed-Audio 1.0 音声生成
      description: >-
        - 3つのモードに対応するマルチモーダル音声生成:**テキストから音声生成**、**参照音声(音声クローニング)**、**参照画像**

        - 1回のリクエストで最大 `120` 秒の音声生成

        - 非同期モード —
        返却されたタスクIDを使って[結果を取得](/ja/api-manual/task-management/get-task-detail)

        - 生成された音声のリンクは24時間有効です。お早めに保存してください
      operationId: createSeedAudio10
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SeedAudioRequest'
            examples:
              basic:
                summary: テキストから音声生成
                value:
                  model: doubao-seed-audio-1-0
                  prompt: 音声生成サービスへようこそ。今日はとても良い天気ですね。
                  format: mp3
              with_voice:
                summary: 指定した音声で生成
                value:
                  model: doubao-seed-audio-1-0
                  prompt: 皆さん、こんばんは。夜のニュースをお届けします。
                  audio_references:
                    - zh_female_vv_uranus_bigtts
                  speech_rate: 1.25
              voice_clone:
                summary: 参照音声生成(音声クローニング)
                value:
                  model: doubao-seed-audio-1-0
                  prompt: '@音声1 こんにちは、はじめまして。'
                  audio_references:
                    - https://example.com/ref-voice.mp3
              multi_voice:
                summary: 音声の混在(音声ID + 音声URL)
                value:
                  model: doubao-seed-audio-1-0
                  prompt: '@音声1 こんにちは! @音声2 今日はどうですか?'
                  audio_references:
                    - zh_female_vv_uranus_bigtts
                    - https://example.com/ref-voice.mp3
              image_ref:
                summary: 参照画像生成
                value:
                  model: doubao-seed-audio-1-0
                  prompt: 画像の雰囲気に合ったナレーションを合成してください。
                  image_urls:
                    - https://example.com/scene.jpg
      responses:
        '200':
          description: 音声生成タスクが正常に作成されました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SeedAudioResponse'
        '400':
          description: リクエストパラメータが不正です
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: missing_text
                  message: '必須パラメータが不足しています: prompt'
                  type: invalid_request_error
        '401':
          description: 認証されていません。トークンが無効または期限切れです
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: トークンが無効または期限切れです
                  type: authentication_error
        '402':
          description: クォータが不足しています。チャージが必要です
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: クォータが不足しています。アカウントにチャージしてください。
                  type: insufficient_quota
        '403':
          description: アクセス権限がありません
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: 'トークンには次のモデルへのアクセス権限がありません: doubao-seed-audio-1-0'
                  type: invalid_request_error
        '429':
          description: レート制限を超えました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: リクエストが多すぎます。しばらく時間を置いて再試行してください
                  type: rate_limit_error
        '500':
          description: サーバー内部エラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: サーバー内部エラー
                  type: api_error
components:
  schemas:
    SeedAudioRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
          description: モデル名
          enum:
            - doubao-seed-audio-1-0
          default: doubao-seed-audio-1-0
          example: doubao-seed-audio-1-0
        prompt:
          type: string
          description: >-
            音声に合成するプロンプトまたはテキスト


            **3つの生成モード(渡す参照リソースに応じて自動判別):**

            - **テキストから音声生成**:`prompt` のみを渡し、プロンプトから直接音声を生成

            - **参照音声(音声クローニング)**:`audio_references` と組み合わせて使用。リテラルマーカー `@音声N`
            で配列内のN番目の項目を参照(配列順に `1` から番号付け)

            - **参照画像**:`image_urls` と組み合わせて使用。`prompt` には合成するテキストのみを指定


            > 参照音声(`audio_references`)と参照画像(`image_urls`)は**排他的**です —
            1回のリクエストではいずれか一方のみ使用できます。


            **制約:**

            - 最大 `1500` 文字
          maxLength: 1500
          example: 音声生成サービスへようこそ。今日はとても良い天気ですね。
        audio_references:
          type: array
          description: >-
            参照リソースのリスト。各項目は**音声ID**または**参照音声URL**のいずれかで、同じ配列内に**混在**させることもできます


            - **音声ID**:プリセット音声の `voice_type` — 完全なリストは [Seed-Audio 1.0
            音声リスト](/ja/api-manual/audio-series/doubao-seed-audio/doubao-seed-audio-1-0-voices)を参照

            - **音声URL**:音声クローニング用の参照音声クリップをアップロード

            - **`image_urls` と排他的**:参照音声と参照画像はいずれか一方のみ。1回のリクエストで同時に送信することはできません

            - `prompt` 内でリテラルマーカー `@音声N` を使い、配列内のN番目の項目を参照(配列順に `1` から番号付け)

            - 省略した場合、モデルは `prompt` に基づいて自由に音声を生成します


            **数量制限:**

            - 配列全体で最大 `3` 項目(音声IDと音声URLの合計)


            **音声URLの制約:**

            - 各参照クリップは `30` 秒以下かつ `10 MB` 以下

            - フォーマット:`wav` / `mp3` / `pcm` / `ogg_opus`
          items:
            type: string
          maxItems: 3
          example:
            - zh_female_vv_uranus_bigtts
        image_urls:
          type: array
          description: >-
            参照画像URLのリスト。画像の雰囲気に合った音声を生成します


            - 画像参照を使用する場合、`prompt` には合成するテキストのみを指定すれば十分です

            - **`audio_references`
            と排他的**:参照画像と参照音声はいずれか一方のみ。1回のリクエストで同時に送信することはできません


            **制約:**

            - 現時点では `1` 枚のみ、`10 MB` 以下

            - フォーマット:`jpeg` / `png` / `webp`
          items:
            type: string
            format: uri
          maxItems: 1
          example:
            - https://example.com/scene.jpg
        format:
          type: string
          description: 出力音声フォーマット
          enum:
            - wav
            - mp3
            - pcm
            - ogg_opus
          default: wav
          example: mp3
        sample_rate:
          type: integer
          description: 出力サンプリングレート(Hz)
          enum:
            - 8000
            - 16000
            - 24000
            - 32000
            - 44100
            - 48000
          default: 24000
          example: 24000
        speech_rate:
          type: number
          description: |-
            速度倍率(小数点以下2桁まで対応)

            - `1.0`:通常の速度(デフォルト)
            - `2.0`:2倍速、`0.5`:半速

            範囲 `0.5` から `2.0`
          minimum: 0.5
          maximum: 2
          multipleOf: 0.01
          default: 1
          example: 1.25
        loudness_rate:
          type: number
          description: |-
            音量倍率(小数点以下2桁まで対応)

            - `1.0`:通常の音量(デフォルト)
            - `2.0`:2倍の音量、`0.5`:半分の音量

            範囲 `0.5` から `2.0`
          minimum: 0.5
          maximum: 2
          multipleOf: 0.01
          default: 1
          example: 0.85
        pitch_rate:
          type: integer
          description: |-
            ピッチ(半音単位)の調整

            - `0`:デフォルトのピッチ(変化なし)
            - **正の値はピッチを上げる**:値が大きいほど音が高く鋭くなる。`12` で1オクターブ上がる
            - **負の値はピッチを下げる**:値が小さいほど音が低く深くなる。`-12` で1オクターブ下がる

            範囲 `-12` から `12`
          minimum: -12
          maximum: 12
          default: 0
          example: 0
        callback_url:
          type: string
          description: >-
            タスク完了時に呼び出される HTTPS コールバック URL


            **発火タイミング:**

            - タスクが完了、失敗、またはキャンセルされた時にトリガー

            - 課金が確定した後に送信


            **セキュリティ制約:**

            - HTTPS のみ

            - 内部 IP アドレスへのコールバックは禁止(127.0.0.1、10.x.x.x、172.16-31.x.x、192.168.x.x
            など)

            - URL の長さは `2048` 文字以下


            **コールバックの仕組み:**

            - タイムアウト:`10` 秒

            - 失敗時に最大 `3` 回リトライ(各失敗後 `1` / `2` / `4` 秒)

            - コールバックのボディ形式はタスク取得レスポンスと同じ

            - 2xx レスポンスを成功とみなし、それ以外のステータスコードはリトライをトリガー
          format: uri
          example: https://your-domain.com/webhooks/audio-completed
    SeedAudioResponse:
      type: object
      properties:
        created:
          type: integer
          description: タスク作成タイムスタンプ
          example: 1775200000
        id:
          type: string
          description: タスクID
          example: task-unified-1775200000-abcd1234
        model:
          type: string
          description: 実際に使用されたモデル
          example: doubao-seed-audio-1-0
        object:
          type: string
          enum:
            - audio.generation.task
          description: 具体的なタスクタイプ
        progress:
          type: integer
          description: タスクの進捗率(0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: タスクのステータス
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/AudioTaskInfo'
          description: 音声タスクの詳細情報
        type:
          type: string
          enum:
            - audio
          description: タスクの出力タイプ
          example: audio
        usage:
          $ref: '#/components/schemas/AudioUsage'
          description: 使用量および課金情報
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: エラーコード識別子
            message:
              type: string
              description: エラーの説明
            type:
              type: string
              description: エラータイプ
    AudioTaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: タスクをキャンセルできるかどうか
          example: true
        estimated_time:
          type: integer
          description: 完了までの推定時間(秒)
          minimum: 0
          example: 15
        audio_type:
          type: string
          description: 音声タスクのタイプ
          example: audio_generation
    AudioUsage:
      type: object
      description: 使用量情報
      properties:
        credits_reserved:
          type: number
          description: 消費予定クレジット(最大再生時間で予約され、タスク完了時に実際の再生時間で精算)
          minimum: 0
          example: 9.6
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        ##すべてのエンドポイントは Bearer Token 認証が必要です##


        **API Key を取得:**


        [API Key 管理ページ](https://evolink.ai/dashboard/keys)にアクセスして API Key
        を取得してください


        **リクエストヘッダーに追加:**

        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````